return {
  'nvim-telescope/telescope.nvim',
  tag = '0.1.8',
  dependencies = { 'nvim-lua/plenary.nvim' },
  config = function()
    require('telescope').setup({
      defaults = {
        mappings = {
          i = {
            ['<C-j>'] = require("telescope.actions").move_selection_next,
            ['<C-k>'] = require("telescope.actions").move_selection_previous,
          },
        },
      },
    })

    local builtin = require('telescope.builtin')

    vim.keymap.set('n', 'ff', builtin.find_files, {})
    vim.keymap.set('n', 'fg', builtin.git_files, {})
    vim.keymap.set('n', 'fs', builtin.grep_string, {})
  end
}
